Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.crowd
Class CrowdProperties

    java.lang.Object
      org.jivesoftware.openfire.crowd.CrowdProperties

    public class CrowdProperties

extends Object

Reading the file crowd.properties which should be found in the conf folder of openfire

Constructor Summary
`CrowdProperties()`

Method Summary
`String` | `getApplicationName()`
`String` | `getApplicationPassword()`
`String` | `getCrowdServerUrl()`
`int` | `getHttpConnectionTimeout()`
`int` | `getHttpMaxConnections()`
`String` | `getHttpProxyHost()`
`String` | `getHttpProxyPassword()`
`int` | `getHttpProxyPort()`
`String` | `getHttpProxyUsername()`
`int` | `getHttpSocketTimeout()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrowdProperties

    public CrowdProperties()
                    throws IOException

Throws:
  `IOException`

Method Detail

### getApplicationName

    public String getApplicationName()

### getApplicationPassword

    public String getApplicationPassword()

### getCrowdServerUrl

    public String getCrowdServerUrl()

### getHttpProxyHost

    public String getHttpProxyHost()

### getHttpProxyPort

    public int getHttpProxyPort()

### getHttpProxyUsername

    public String getHttpProxyUsername()

### getHttpProxyPassword

    public String getHttpProxyPassword()

### getHttpMaxConnections

    public int getHttpMaxConnections()

### getHttpConnectionTimeout

    public int getHttpConnectionTimeout()

### getHttpSocketTimeout

    public int getHttpSocketTimeout()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.